hwloc_location::hwloc_location_u Union Reference

`#include <memattrs.h>`

## Data Fields

hwloc_cpuset_t | cpuset
hwloc_obj_t | object

## Detailed Description

Actual location.

## Field Documentation

## cpuset

hwloc_cpuset_t hwloc_location::hwloc_location_u::cpuset

Location as a cpuset, when the location type is HWLOC_LOCATION_TYPE_CPUSET.

## object

hwloc_obj_t hwloc_location::hwloc_location_u::object

Location as an object, when the location type is HWLOC_LOCATION_TYPE_OBJECT.

The documentation for this union was generated from the following file:

- memattrs.h